1. Summary
  2. Files
  3. Support
  4. Report Spam
  5. Create account
  6. Log in

Battlefield 2 v1.41 Positional Audio Plugin

Mumble about Mumble

Battlefield 2 v1.41 Positional Audio Plugin

Postby brett905 » Fri Aug 23, 2013 9:58 pm

This is concerning Battlefield 2 v1.41 (Arguably the best version) and Mumble v1.2.4 (Hands Down, The Best VOIP Gaming Software) :

I have searched this forum and could not find a solution to my question, so here goes...

Hello, I recently noticed that the current Positional Audio Plugin for BF2 is only working on v1.50 . As most avid Battlefield 2 players know, v1.50 is a Broken version of the game. There were some serious trade-offs (like Commander Assets) made between v1.41 & v1.50 . Pretty much all of the BF2 community that play on COOP servers, use Battlefield 2 v1.41 . Basically, the BF2 community is divided... BF2 v1.41 COOP & Singleplayer Modes vs BF2 v1.50 Conquest Mode.
I feel this is an important issue as v1.41 is just as widely used (if not more) as v1.50 to this date. As an example... AIX2 Mod is a COOP (http://www.aixtended.com/) mod and the most popular for BF2. The only way to fully use this mod is v1.41
I tried an old snapshot of Mumble (mumble-2009-10-21-2354.exe) which had a working BF2 v1.41 plugin (or which ever the best version of the BF2 v1.41 plugin is). It seemed to work just fine, only, it would be nice if this Plugin could be used in the most current versions of Mumble. Is this possible and could someone get this to work? Please.
Any help would be greatly appreciated as Positional Audio from Mumble in BF2,Totally Rocks!


Thanks
brett905
 
Posts: 3
Joined: Fri Aug 23, 2013 9:33 pm

Re: Battlefield 2 v1.41 Positional Audio Plugin

Postby kissaki » Sat Aug 24, 2013 11:31 am

Currently we only support one plugin version per game.

You have a few options though:

You can use the old plugin DLL you have and use it with your new Mumble version. Just make sure to disable automatic plugin updating so it does not get overwritten.

One could also create a new plugin that uses the old data, under a different game name (not bf2).

If none exists yet you should create a feature request for this in our FR tracker: http://sourceforge.net/tracker/?group_i ... tid=768008


Although different plugin versions for the same game are not currently possible I can see its usefulness and would like it to be implemented in Mumble.
MumPI: Your Mumble Web Interface in PHP
User avatar
kissaki
Team member
 
Posts: 963
Joined: Sat Jan 09, 2010 12:15 pm

Re: Battlefield 2 v1.41 Positional Audio Plugin

Postby brett905 » Sat Aug 24, 2013 3:01 pm

Thanks for the speedy reply!
Unfortunately the BF2.dll version I used does not show up in the list when I place it in the plugins folder in v1.2.4
Will do some testing with the version from Mumble v1.2.2 . Maybe possible it works with both BF2 versions.
If anyone else with knowledge or insight of this would care to shed some light on this topic, please do.

Thanks for your help.

*EDIT* : Feature Request added - #1123 Battlefield 2 v1.41 Positional Audio Plugin
brett905
 
Posts: 3
Joined: Fri Aug 23, 2013 9:33 pm

Re: Battlefield 2 v1.41 Positional Audio Plugin

Postby brett905 » Tue Sep 03, 2013 6:17 pm

OK... If anyone knows how to get a working BF2.dll for Battlefield 2 v1.41 to show up in the Positional Audio list in Mumble v1.2.4 I would really appreciate your input. Thanks.
brett905
 
Posts: 3
Joined: Fri Aug 23, 2013 9:33 pm


Return to General

Who is online

Users browsing this forum: No registered users and 1 guest

cron